{
  "createdWith": "Open Stage Control",
  "version": "1.24.0",
  "type": "session",
  "content": {
    "type": "root",
    "lock": false,
    "id": "root",
    "visible": true,
    "interaction": true,
    "comments": "",
    "width": "auto",
    "height": "auto",
    "colorText": "auto",
    "colorWidget": "auto",
    "alphaFillOn": "auto",
    "borderRadius": "auto",
    "padding": "auto",
    "html": "",
    "css": "",
    "colorBg": "auto",
    "layout": "default",
    "justify": "start",
    "gridTemplate": "",
    "contain": true,
    "scroll": true,
    "innerPadding": true,
    "tabsPosition": "top",
    "hideMenu": false,
    "variables": "@{parent.variables}",
    "traversing": false,
    "value": "",
    "default": "",
    "linkId": "",
    "address": "auto",
    "preArgs": "",
    "typeTags": "",
    "decimals": 2,
    "target": "",
    "ignoreDefaults": false,
    "bypass": false,
    "onCreate": "",
    "onValue": "",
    "widgets": [
      {
        "type": "panel",
        "top": 0,
        "left": 0,
        "lock": false,
        "id": "main_panel",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "100%",
        "height": "100%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "colorBg": "auto",
        "layout": "default",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "",
        "widgets": [],
        "tabs": [
          {
            "type": "tab",
            "lock": false,
            "id": "metronome_tab",
            "visible": true,
            "interaction": true,
            "comments": "",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorFill": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "colorBg": "auto",
            "layout": "default",
            "justify": "start",
            "gridTemplate": "",
            "contain": true,
            "scroll": true,
            "innerPadding": true,
            "tabsPosition": "top",
            "label": "metronome/transport",
            "variables": "@{parent.variables}",
            "traversing": false,
            "value": "",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 2,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": "",
            "widgets": [
              {
                "type": "text",
                "top": "20%",
                "left": "40%",
                "lock": false,
                "id": "colon",
                "visible": true,
                "comments": "",
                "width": 50,
                "height": "40%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": ":host {\n  font-size: 120rem;\n}",
                "vertical": false,
                "wrap": false,
                "align": "center",
                "value": ":",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "decimals": 2,
                "target": "",
                "onCreate": "",
                "onValue": ""
              },
              {
                "type": "input",
                "top": 0,
                "left": 0,
                "lock": false,
                "id": "measure",
                "visible": true,
                "interaction": true,
                "comments": "",
                "width": "40%",
                "height": "80%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": 0,
                "html": "",
                "css": "canvas {\n  height: 150rem\n}\n:host {\n  font-size: 150rem;\n}",
                "align": "center",
                "unit": "",
                "asYouType": false,
                "numeric": false,
                "validation": "",
                "maxLength": "",
                "value": 1,
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 0,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": ""
              },
              {
                "type": "input",
                "top": 0,
                "left": "calc(40% + 50px)",
                "lock": false,
                "id": "beat",
                "visible": true,
                "interaction": true,
                "comments": "",
                "width": "15%",
                "height": "80%",
                "expand": false,
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "canvas {\n  height: 150rem\n}\n:host {\n  font-size: 150rem;\n}",
                "align": "center",
                "unit": "",
                "asYouType": false,
                "numeric": true,
                "validation": "",
                "maxLength": "",
                "value": 1,
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 0,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": ""
              },
              {
                "type": "led",
                "top": 0,
                "left": "calc(55% + 50px)",
                "lock": false,
                "id": "visual_click",
                "visible": true,
                "comments": "",
                "width": "25%",
                "height": "80%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "mode": "intensity",
                "range": {
                  "min": 0,
                  "max": 1
                },
                "alphaRange": {
                  "min": 0,
                  "max": 1
                },
                "logScale": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "target": "",
                "onCreate": "",
                "onValue": "var fallTime = 0.3,\nfps = 24,\nmaxValue = 1,\nstep = maxValue / fps / fallTime\n\nsetTimeout(()=>{\n  if (value <= 0) clearTimeout()\n  set(\"this\", value - step)\n}, 1000 / fps)"
              },
              {
                "type": "switch",
                "top": "85%",
                "left": 0,
                "lock": false,
                "id": "piece",
                "visible": true,
                "interaction": true,
                "comments": "",
                "width": "100%",
                "height": "15%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": ":host{\n  font-size: 15rem\n}",
                "colorTextOn": "auto",
                "layout": "horizontal",
                "gridTemplate": "",
                "wrap": false,
                "values": {
                  "Berger": "berger",
                  "Robinson": "robinson",
                  "Penrose": "penrose",
                  "Ammann": "ammann",
                  "Kari": "kari",
                  "Jaendel": "jaendel"
                },
                "mode": "tap",
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "var quantity = 6\nvar tempo = 60\nif(value === 'berger') {\n  quantity = 6\n  tempo = 60\n} else if(value === 'robinson') {\n  quantity = 8\n  tempo = 60\n} else if(value === 'penrose') {\n  quantity = 6\n  tempo = 120\n} else if(value === 'ammann') {\n  quantity = 8\n  tempo = 60\n} else if(value === 'kari') {\n  quantity = 7\n  tempo = 45\n} else if(value === 'jaendel') {\n  quantity = 32\n  tempo = 60\n}\n\nsetVar('mixer/hdp/volume', 'quantity', quantity)\nsetVar('mixer/hdp/pan', 'quantity', quantity)\nsetVar('mixer/hdp/mute', 'quantity', quantity)\nset('tempo', tempo)"
              },
              {
                "type": "input",
                "top": "10%",
                "left": "calc(80% + 50px)",
                "lock": false,
                "id": "tempo",
                "visible": true,
                "interaction": true,
                "comments": "",
                "width": "calc(20% - 50px)",
                "height": "15%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": ":host{\n  font-size: 20rem\n}",
                "align": "center",
                "unit": "",
                "asYouType": false,
                "numeric": true,
                "validation": "",
                "maxLength": "",
                "value": "",
                "default": 60,
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": ""
              },
              {
                "type": "text",
                "top": 0,
                "left": "calc(80% + 50px)",
                "lock": false,
                "id": "tempo_label",
                "visible": true,
                "comments": "",
                "width": "calc(20% - 50px)",
                "height": "10%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": ":host{\n  font-size: 15rem\n}",
                "value": "tempo",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "target": "",
                "onCreate": "",
                "onValue": "",
                "vertical": false,
                "wrap": false,
                "align": "center",
                "decimals": 2
              },
              {
                "type": "button",
                "top": "30%",
                "left": "calc(80% + 50px)",
                "lock": false,
                "id": "transport",
                "visible": true,
                "interaction": true,
                "comments": "",
                "width": "calc(20% - 50px)",
                "height": "50%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": ":host{\n  font-size: 20rem\n}",
                "colorTextOn": "auto",
                "label": "#{@{this} == 0 ? \"play\" : \"stop\"}",
                "vertical": false,
                "wrap": false,
                "on": 1,
                "off": 0,
                "mode": "toggle",
                "doubleTap": false,
                "decoupled": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 0,
                "target": "",
                "ignoreDefaults": false,
                "bypass": true,
                "onCreate": "",
                "onValue": "if(value === 1){\n  send(false, \"/transport\", 1, get(\"piece\"), get(\"measure\"), get(\"beat\"), get(\"tempo\"));\n} else {\n  send(false, \"/transport\", 0, get(\"piece\"), get(\"measure\"), get(\"beat\"), get(\"tempo\"));\n}"
              }
            ],
            "tabs": []
          },
          {
            "type": "tab",
            "lock": false,
            "id": "mixer_tab",
            "visible": true,
            "interaction": true,
            "comments": "",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorFill": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "colorBg": "auto",
            "layout": "default",
            "justify": "start",
            "gridTemplate": "",
            "contain": true,
            "scroll": true,
            "innerPadding": true,
            "tabsPosition": "top",
            "label": "mixer",
            "variables": "@{parent.variables}",
            "traversing": false,
            "value": "",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 2,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": "",
            "widgets": [
              {
                "type": "matrix",
                "top": "70%",
                "left": 0,
                "lock": false,
                "id": "mixer/hdp/pan",
                "visible": true,
                "interaction": true,
                "comments": "",
                "width": "90%",
                "height": "15%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "horizontal",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "variables": "@{parent.variables}",
                "traversing": false,
                "widgetType": "knob",
                "quantity": "VAR{quantity, 6}",
                "props": "{\"value\": #{$/(VAR{quantity, 6}-1)}}",
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [],
                "tabs": []
              },
              {
                "type": "matrix",
                "top": 0,
                "left": 0,
                "lock": false,
                "id": "mixer/hdp/volume",
                "visible": true,
                "interaction": true,
                "comments": "",
                "width": "90%",
                "height": "70%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "horizontal",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "variables": "@{parent.variables}",
                "traversing": false,
                "widgetType": "fader",
                "quantity": "VAR{quantity, 6}",
                "props": {
                  "value": 1
                },
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [],
                "tabs": []
              },
              {
                "type": "matrix",
                "top": "85%",
                "left": 0,
                "lock": false,
                "id": "mixer/hdp/mute",
                "visible": true,
                "interaction": true,
                "comments": "",
                "width": "90%",
                "height": "15%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "horizontal",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "variables": "@{parent.variables}",
                "traversing": false,
                "widgetType": "button",
                "quantity": "VAR{quantity, 6}",
                "props": {
                  "value": 1
                },
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [],
                "tabs": []
              },
              {
                "type": "panel",
                "top": 0,
                "left": "90%",
                "lock": false,
                "id": "mixer/string/master_panel",
                "visible": true,
                "interaction": true,
                "comments": "",
                "width": "10%",
                "height": "100%",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fader",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "mixer/hdp/volume/master",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "colorText": "auto",
                    "colorWidget": "auto",
                    "colorStroke": "auto",
                    "colorFill": "auto",
                    "alphaStroke": "auto",
                    "alphaFillOff": "auto",
                    "alphaFillOn": "auto",
                    "lineWidth": "auto",
                    "borderRadius": "auto",
                    "padding": "auto",
                    "html": "",
                    "css": "",
                    "design": "default",
                    "knobSize": "auto",
                    "horizontal": false,
                    "pips": false,
                    "dashed": false,
                    "gradient": [],
                    "snap": false,
                    "spring": false,
                    "doubleTap": false,
                    "range": {
                      "min": 0,
                      "max": 1
                    },
                    "logScale": false,
                    "sensitivity": 1,
                    "steps": "",
                    "origin": "auto",
                    "value": 1,
                    "default": 1,
                    "linkId": "",
                    "address": "auto",
                    "preArgs": "",
                    "typeTags": "",
                    "decimals": 2,
                    "target": "",
                    "ignoreDefaults": false,
                    "bypass": false,
                    "onCreate": "",
                    "onValue": "",
                    "onTouch": ""
                  }
                ],
                "tabs": []
              }
            ],
            "tabs": []
          }
        ]
      }
    ],
    "tabs": []
  }
}